unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Novy1: TMenuItem;
    Otevrit1: TMenuItem;
    Ulozit1: TMenuItem;
    Konec1: TMenuItem;
    Upravy1: TMenuItem;
    Kopirovat1: TMenuItem;
    Vyjmout1: TMenuItem;
    Vlozit1: TMenuItem;
    TabControl1: TTabControl;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Zavrit1: TMenuItem;
    procedure Novy1Click(Sender: TObject);
    procedure Otevrit1Click(Sender: TObject);
    procedure TabControl1Change(Sender: TObject);
    procedure TabControl1Changing(Sender: TObject;
      var AllowChange: Boolean);
    procedure Zavrit1Click(Sender: TObject);
    procedure Ulozit1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Kopirovat1Click(Sender: TObject);
    procedure Vyjmout1Click(Sender: TObject);
    procedure Vlozit1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Novy1Click(Sender: TObject);
begin
 if TabControl1.Tabs[TabControl1.TabIndex] ='' then
  begin
   if SaveDialog1.Execute then
   begin
    Memo1.Lines.SaveToFile(SaveDialog1.FileName);
    TabControl1.Tabs[TabControl1.TabIndex] := SaveDialog1.FileName;
    TabControl1.Tabs.Add('');
   end
  end
 else
 begin
  Memo1.Lines.SaveToFile(TabControl1.Tabs[TabControl1.TabIndex]);
  TabControl1.Tabs.Add('');
    TabControl1.TabIndex := TabControl1.Tabs.Count;
  Memo1.Lines.Clear;
 end;
end;

procedure TForm1.Otevrit1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then
 begin
  if TabControl1.Tabs[TabControl1.TabIndex] = '' then
  begin
    if SaveDialog1.Execute then
    begin
     TabControl1.Tabs[TabControl1.TabIndex] := SaveDialog1.FileName;
     Memo1.Lines.SaveToFile(SaveDialog1.FileName);
    end
  end
  else
  begin
   Memo1.Lines.SaveToFile(TabControl1.Tabs[TabControl1.TabIndex]);
  end;
  TabControl1.Tabs.Add(OpenDialog1.FileName);
  Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
 end;
end;

procedure TForm1.TabControl1Change(Sender: TObject);
begin
 if tabcontrol1.Tabs[TabControl1.TabIndex] <> '' then
 begin
  Memo1.Lines.LoadFromFile(tabcontrol1.Tabs[TabControl1.TabIndex])
 end
 else
 begin
  if OpenDialog1.Execute then
  begin
   TabControl1.Tabs[TabControl1.TabIndex] := OpenDialog1.FileName;
   Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
  end
  else
   Memo1.Lines.Clear;
 end;
end;

procedure TForm1.TabControl1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
if TabControl1.Tabs[TabControl1.TabIndex] = '' then
 begin
  if SaveDialog1.Execute then
  begin
   TabControl1.Tabs[TabControl1.TabIndex]:= SaveDialog1.FileName;
   Memo1.Lines.SaveToFile(SaveDialog1.FileName);
  end
 end
 else
 begin
  Memo1.Lines.SaveToFile(TabControl1.Tabs[TabControl1.TabIndex]);
 end
end;

procedure TForm1.Zavrit1Click(Sender: TObject);
begin
 if TabControl1.Tabs.Count >1 then
 begin
   TabControl1.Tabs.Delete(TabControl1.TabIndex);
   if tabControl1.TabIndex < 0 then
    tabControl1.TabIndex :=0;
   Memo1.Lines.LoadFromFile(TabControl1.Tabs[TabControl1.TabIndex]);  
 end
 else
  Memo1.Clear;
end;

procedure TForm1.Ulozit1Click(Sender: TObject);
begin
 if TabControl1.Tabs[TabControl1.TabIndex] <>'' then
  memo1.Lines.SaveToFile(TabControl1.Tabs[TabControl1.TabIndex])
 else
 begin
  if SaveDialog1.Execute then
  begin
   TabControl1.Tabs[TabControl1.TabIndex] := SaveDialog1.FileName;
   Memo1.Lines.SaveToFile(SaveDialog1.FileName);
  end;
 end;
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.Kopirovat1Click(Sender: TObject);
begin
 Memo1.CopyToClipboard;
end;

procedure TForm1.Vyjmout1Click(Sender: TObject);
begin
 Memo1.CutToClipboard;
end;

procedure TForm1.Vlozit1Click(Sender: TObject);
begin
 Memo1.PasteFromClipboard;
end;

end.
